FLATPAK HISTORY(1)

NAME
flatpak-history - Show history

SYNOPSIS

flatpak history [OPTION...]

DESCRIPTION

Shows changes to the flatpak installations on the system. This includes installs, updates and removals of applications and runtimes.

By default, both per-user and system-wide installations are shown. Use the --user, --installation or --system options to change this.

The information for the history command is taken from the systemd journal, and can also be accessed using e.g. the journalctl command.

OPTIONS

The following options are understood:

-h, --help
    Show help options and exit.

--user
    Show changes to the user installation.

--system
    Show changes to the default system-wide installation.

--installation=NAME
    Show changes to the installation specified by NAME among those defined in /etc/flatpak/installations.d/. Using --installation=default is equivalent to using --system.

--since=TIME
    Only show changes that are newer than the time specified by TIME.

    TIME can be either an absolute time in a format like YYYY-MM-DD HH:MM:SS, or a relative time like "2h", "7days", "4days 2hours".

--until=TIME
    Only show changes that are older than the time specified by TIME.

--reverse
    Show newest entries first.

-v, --verbose
    Print debug information during command processing.

--ostree-verbose
    Print OSTree debug information during command processing.

--columns=FIELD,...
    Specify what information to show about each ref. You can list multiple fields, or use this option multiple times.

    Append :s[tart], :m[iddle], :e[nd] or :f[ull] to column names to change ellipsization.

FIELDS

The following fields are understood by the --columns option:

time
    Show when the change happened

change
    Show the kind of change

ref
    Show the ref

application
    Show the application/runtime ID

arch
    Show the architecture

branch
    Show the branch

installation
    Show the affected installation.

    This will be either the ID of a Flatpak installation, or the path to a temporary OSTree repository.

remote
    Show the remote that is used.

    This will be either the name of a configured remote, or the path to a temporary OSTree repository.

old-commit
    Show the previous commit. For pulls, this is the previous HEAD of the branch. For deploys, it is the previously active commit

commit
    Show the current commit. For pulls, this is the HEAD of the branch. For deploys, it is the active commit

url
    Show the remote url

user
    Show the user doing the change.

    If this is the system helper operating as root, also show which user triggered the change.

tool
    Show the tool that was used.

    If this is the system helper, also show which tool was used to triggered the change.

all
    Show all columns

help
    Show the list of available columns

Note that field names can be abbreviated to a unique prefix.

SEE ALSO

flatpak(1), journalctl(1)